apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.deployment.name }}
  labels:
    app: {{ .Values.deployment.name }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: {{ .Values.deployment.name }}
  template:
    metadata:
      labels:
        app: {{ .Values.deployment.name }}
    spec:
      containers:
        - name: {{ .Values.deployment.name }}
          image: {{ .Values.image.repository }}
          ports:
            - containerPort: {{ .Values.service.port}}
          env:
            - name: DB_HOST
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: database_url
            - name: DB_PORT
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: database_port
            - name: DB_USERNAME
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: mongo-root-username
            - name: DB_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: mongo-root-password
            - name: IDP
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: IDP
            - name: IDP_REALM
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: IDP_REALM
            - name: CLIENT_ID
              value: issuer-revocation
            - name: CLIENT_SECRET
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: ISSUER_REVOCATION_CLIENT_SECRET
            - name: IDP_USERNAME
              value: issuer_revocation
            - name: IDP_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: ISSUER_REVOCATION_IDP_PASSWORD
            - name: backendUrl
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: backend_url
            - name: VERSION
              value: {{ .Values.deployment.version }}
            - name: ISSUER_WALLET_URL
              value: https://issuer-wallet.pda1.dev.esspass-poc.eu
            - name: STATUS_LIST_CREDENTIAL
              value: https://issuer-revocation.pda1.dev.esspass-poc.eu/credentials/status
            - name: EBSI_ENV_DOMAIN
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: EBSI_ENV_DOMAIN
            - name: VERIFIABLE_ATTESTATION_SCHEMA_URL
              value: https://api-pilot.ebsi.eu/trusted-schemas-registry/v2/schemas/z7WxViWAEwg9G3fadmM1k9YTtMq9QLkGgGMie86JMWajZ
            - name: EBSI_AUTHORITY
              value: api-pilot.ebsi.eu
